SystemOrganization addCategory: 'OrbeonBPMCore'!

!XPDLTransitionNode methodsFor: '*orbeonBpmCore' stamp: 'BrunoBB 10/27/2015 17:30'!
createBpmDefinitionOn: aBpmProcessDefinition

	^(BpmTransitionDefinition process: aBpmProcessDefinition)
		yourself! !

Object subclass: #BpmObject
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmObject subclass: #BpmArtifactDefinition
	instanceVariableNames: 'processDefinition name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmArtifactDefinition subclass: #BpmActivityDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmActivityDefinition subclass: #BpmGatewayDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

!BpmGatewayDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:22'!
addToParentProcess

	^processDefinition addGateway: self! !

BpmActivityDefinition subclass: #BpmSubProcessTaskDefinition
	instanceVariableNames: 'subProcessDefinition'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

!BpmSubProcessTaskDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:22'!
addToParentProcess

	^processDefinition addSubProcessTask: self! !

!BpmSubProcessTaskDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 17:10'!
subProcessDefinition
	^subProcessDefinition! !

!BpmSubProcessTaskDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 17:10'!
subProcessDefinition: newValue
	subProcessDefinition := newValue! !

BpmActivityDefinition subclass: #BpmTaskDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

!BpmTaskDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:22'!
addToParentProcess

	^processDefinition addTask: self! !

!BpmArtifactDefinition class methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 15:41'!
process: aBpmProcessDefinition

	^super new initialize
		processDefinition: aBpmProcessDefinition;
		yourself! !

!BpmArtifactDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:21'!
addToParentProcess

	^self subclassResponsibility! !

!BpmArtifactDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 16:14'!
name
	^name! !

!BpmArtifactDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 16:14'!
name: newValue
	name := newValue! !

!BpmArtifactDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 16:14'!
processDefinition
	^processDefinition! !

!BpmArtifactDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 16:14'!
processDefinition: newValue
	processDefinition := newValue! !

BpmArtifactDefinition subclass: #BpmEventDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmEventDefinition subclass: #BpmEndEventDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

!BpmEndEventDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:26'!
addToParentProcess

	^processDefinition addEndEvent: self! !

BpmEventDefinition subclass: #BpmIntermediateEventDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

!BpmIntermediateEventDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:26'!
addToParentProcess

	^processDefinition addIntermediateEvent: self! !

BpmEventDefinition subclass: #BpmStartEventDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

!BpmStartEventDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:26'!
addToParentProcess

	^processDefinition startEvent: self! !

BpmObject subclass: #BpmCodeAnalyzer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmObject subclass: #BpmCodeCondition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmObject subclass: #BpmProcessDefinition
	instanceVariableNames: 'id processName executionPath roles processInstances orbeonApplication version parentProcess subProcesses formFieldInstances'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

!BpmProcessDefinition class methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 15:28'!
newNamed: aString

	^super new initialize
		processName: aString;
		yourself! !

!BpmProcessDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:27'!
addEndEvent: aBpmEndEventDefinition

	^executionPath addEndEvent: aBpmEndEventDefinition! !

!BpmProcessDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:20'!
addGateway: aBpmGatewayDefinition

	^executionPath addGateway: aBpmGatewayDefinition! !

!BpmProcessDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:27'!
addIntermediateEvent: aBpmIntermediateEventDefinition

	^executionPath addIntermediateEvent: aBpmIntermediateEventDefinition! !

!BpmProcessDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:20'!
addSubProcessTask: aBpmSubProcessTaskDefinition

	^executionPath addSubProcessTask: aBpmSubProcessTaskDefinition! !

!BpmProcessDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:20'!
addTask: aBpmTaskDefinition

	^executionPath addTask: aBpmTaskDefinition! !

!BpmProcessDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:21'!
addTransition: aBpmTransitionDefinition

	^executionPath addTransition: aBpmTransitionDefinition! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/26/2015 18:39'!
executionPath
	^executionPath! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/26/2015 18:39'!
executionPath: newValue
	executionPath := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
formFieldInstances
	^formFieldInstances! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
formFieldInstances: newValue
	formFieldInstances := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/26/2015 18:31'!
id
	^id! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/26/2015 18:31'!
id: newValue
	id := newValue! !

!BpmProcessDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:32'!
initialize

	super initialize.

	id := Lag1MwcRandom new integer.
	executionPath := BpmProcessPathDefinition definition: self.
	roles := Dictionary new.
	version := 1.
	subProcesses := Dictionary new.
	processInstances := Dictionary new.
	formFieldInstances := Dictionary new.! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
orbeonApplication
	^orbeonApplication! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
orbeonApplication: newValue
	orbeonApplication := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
parentProcess
	^parentProcess! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
parentProcess: newValue
	parentProcess := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
processInstances
	^processInstances! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
processInstances: newValue
	processInstances := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/26/2015 18:31'!
processName
	^processName! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/26/2015 18:31'!
processName: newValue
	processName := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
roles
	^roles! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
roles: newValue
	roles := newValue! !

!BpmProcessDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:27'!
startEvent: aBpmStartEventDefinition

	^executionPath startEvent: aBpmStartEventDefinition! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
subProcesses
	^subProcesses! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
subProcesses: newValue
	subProcesses := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
version
	^version! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
version: newValue
	version := newValue! !

BpmObject subclass: #BpmProcessPathDefinition
	instanceVariableNames: 'processDefinition transitions startEvent intermediateEvents endEvents tasks gateways subProcessTasks'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

!BpmProcessPathDefinition class methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 15:12'!
definition: aBpmProcessDefinition

	^super new initialize
			processDefinition: aBpmProcessDefinition;
			yourself! !

!BpmProcessPathDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:25'!
addEndEvent: aBpmEndEventDefinition

	^endEvents at: aBpmEndEventDefinition name put: aBpmEndEventDefinition! !

!BpmProcessPathDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:18'!
addGateway: aBpmGatewayDefinition

	^gateways at: aBpmGatewayDefinition name put: aBpmGatewayDefinition! !

!BpmProcessPathDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:25'!
addIntermediateEvent: aBpmIntermediateEventDefinition

	^endEvents at: aBpmIntermediateEventDefinition name put: aBpmIntermediateEventDefinition! !

!BpmProcessPathDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:18'!
addSubProcessTask: aBpmSubProcessTaskDefinition

	^subProcessTasks at: aBpmSubProcessTaskDefinition name put: aBpmSubProcessTaskDefinition! !

!BpmProcessPathDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:17'!
addTask: aBpmTaskDefinition

	^tasks at: aBpmTaskDefinition name put: aBpmTaskDefinition! !

!BpmProcessPathDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:20'!
addTransition: aBpmTransitionDefinition

	^transitions add: aBpmTransitionDefinition! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 17:25'!
endEvents
	^endEvents! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 17:25'!
endEvents: newValue
	endEvents := newValue! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
gateways
	^gateways! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
gateways: newValue
	gateways := newValue! !

!BpmProcessPathDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:25'!
initialize

	super initialize.

	transitions := OrderedCollection new.
	intermediateEvents := Dictionary new.	
	endEvents := Dictionary new.
	tasks := Dictionary new.
	gateways := Dictionary new.
	subProcessTasks := Dictionary new.! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 17:25'!
intermediateEvents
	^intermediateEvents! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 17:25'!
intermediateEvents: newValue
	intermediateEvents := newValue! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:11'!
processDefinition
	^processDefinition! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:11'!
processDefinition: newValue
	processDefinition := newValue! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 17:25'!
startEvent
	^startEvent! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 17:25'!
startEvent: newValue
	startEvent := newValue! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
subProcessTasks
	^subProcessTasks! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
subProcessTasks: newValue
	subProcessTasks := newValue! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
tasks
	^tasks! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
tasks: newValue
	tasks := newValue! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
transitions
	^transitions! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
transitions: newValue
	transitions := newValue! !

BpmObject subclass: #BpmRole
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmRole subclass: #BpmBackofficeRole
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmRole subclass: #BpmFrontEndRole
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmObject subclass: #BpmTransitionDefinition
	instanceVariableNames: 'processDefinition startArtifact endArtifact'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

!BpmTransitionDefinition class methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 15:46'!
process: aBpmProcessDefinition

	^super new initialize
		processDefinition: aBpmProcessDefinition;
		yourself! !

!BpmTransitionDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 17:31'!
addToParentProcess

	^processDefinition addTransition: self! !

!BpmTransitionDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 17:30'!
endArtifact
	^endArtifact! !

!BpmTransitionDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 17:30'!
endArtifact: newValue
	endArtifact := newValue! !

!BpmTransitionDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 17:30'!
processDefinition
	^processDefinition! !

!BpmTransitionDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 17:30'!
processDefinition: newValue
	processDefinition := newValue! !

!BpmTransitionDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 17:30'!
startArtifact
	^startArtifact! !

!BpmTransitionDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 17:30'!
startArtifact: newValue
	startArtifact := newValue! !

!XPDLStartNode methodsFor: '*orbeonBpmCore' stamp: 'BrunoBB 10/27/2015 16:15'!
createBpmDefinitionOn: aBpmProcessDefinition

	^(BpmStartEventDefinition process: aBpmProcessDefinition)
		name: self getName;
		yourself! !

!XPDLIntermediateNode methodsFor: '*orbeonBpmCore' stamp: 'BrunoBB 10/27/2015 16:15'!
createBpmDefinitionOn: aBpmProcessDefinition

	^(BpmIntermediateEventDefinition process: aBpmProcessDefinition)
		name: self getName;
		yourself! !

!XPDLTaskNode methodsFor: '*orbeonBpmCore' stamp: 'BrunoBB 10/27/2015 16:14'!
createBpmDefinitionOn: aBpmProcessDefinition

	^(BpmTaskDefinition process: aBpmProcessDefinition)
		name: self getName;
		yourself! !

!XPDLGatewayNode methodsFor: '*orbeonBpmCore' stamp: 'BrunoBB 10/27/2015 16:15'!
createBpmDefinitionOn: aBpmProcessDefinition

	^(BpmGatewayDefinition process: aBpmProcessDefinition)
		name: self getName;
		yourself! !

!XPDLSubProcessNode methodsFor: '*orbeonBpmCore' stamp: 'BrunoBB 10/27/2015 16:14'!
createBpmDefinitionOn: aBpmProcessDefinition

	^(BpmSubProcessTaskDefinition process: aBpmProcessDefinition)
		name: self getName;
		yourself! !

!XPDLEndNode methodsFor: '*orbeonBpmCore' stamp: 'BrunoBB 10/27/2015 16:14'!
createBpmDefinitionOn: aBpmProcessDefinition

	^(BpmEndEventDefinition process: aBpmProcessDefinition)
		name: self getName;
		yourself! !
